QXmpp: QXmppDiscoInfo Class Reference

QXmpp Version: 1.14.2

Loading...
Searching...
No Matches
QXmppDiscoInfo Class Reference

## Public Member Functions
| QXmppDiscoInfo (const QString &node, const QList< QXmppDiscoIdentity > &identities={}, const QList< QString > &features={}, const QList< QXmppDataForm > &dataForms={})
| Default constructor.
const QString & | node () const
| Returns the node of the query.
void | setNode (const QString &newNode)
| Sets the node of the query.
const QList< QXmppDiscoIdentity > & | identities () const
| Returns the identities of the entity.
void | setIdentities (const QList< QXmppDiscoIdentity > &newIdentities)
| Sets the identities of the entity.
const QList< QString > & | features () const
| Returns the features supported by the entity.
void | setFeatures (const QList< QString > &newFeatures)
| Sets the features supported by the entity.
const QList< QXmppDataForm > & | dataForms () const
| Returns additional data forms as specified in XEP-0128: Service Discovery Extensions.
void | setDataForms (const QList< QXmppDataForm > &newDataForms)
std::optional< QXmppDataForm > | dataForm (QStringView formType) const
template<QXmpp::Private::DataFormConvertible FormType>
std::optional< FormType > | dataForm () const
| Looks for a form with the form type of FormType and parses it if found.
QByteArray | calculateEntityCapabilitiesHash () const

## Detailed Description

Info query request or result as defined in XEP-0030: Service Discovery.

Since
  QXmpp 1.12

## Member Function Documentation

## ◆ calculateEntityCapabilitiesHash()

QByteArray QXmppDiscoInfo::calculateEntityCapabilitiesHash | ( |  | ) | const

Calculates an XEP-0115: Entity Capabilities hash value of this service discovery data object.

## ◆ dataForm()

std::optional< QXmppDataForm > QXmppDiscoInfo::dataForm | ( | QStringView | formType | ) | const

Looks for a data form with the given form type and returns it if found.

Data forms in service discovery info are defined in XEP-0128: Service Discovery Extensions.

## ◆ setDataForms()

void QXmppDiscoInfo::setDataForms | ( | const QList< QXmppDataForm > & | newDataForms | ) |
| inline

Sets additional data forms as specified in XEP-0128: Service Discovery Extensions. Forms MUST have a FORM_TYPE and each FORM_TYPE MUST occur only once.

The documentation for this class was generated from the following files:

- QXmppDiscoveryIq.h
- QXmppDiscoveryIq.cpp